Skip to main content
PATCH
/
recipients
/
{recipient_id}
Update recipient
curl --request PATCH \
  --url https://api.prequel.co/recipients/{recipient_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "recipient": {
    "name": "<string>",
    "products": [
      "<string>"
    ],
    "default_full_refresh_min_start_time_epoch": 123
  }
}
'
import requests

url = "https://api.prequel.co/recipients/{recipient_id}"

payload = { "recipient": {
        "name": "<string>",
        "products": ["<string>"],
        "default_full_refresh_min_start_time_epoch": 123
    } }
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    recipient: {
      name: '<string>',
      products: ['<string>'],
      default_full_refresh_min_start_time_epoch: 123
    }
  })
};

fetch('https://api.prequel.co/recipients/{recipient_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "recipient": {
      "id": "<string>",
      "name": "<string>",
      "products": [
        "<string>"
      ],
      "id_in_provider_system": "<string>",
      "default_full_refresh_min_start_time_epoch": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  },
  "message": "<string>"
}
{
  "status": "<string>",
  "message": "<string>",
  "data": null
}
{
  "status": "<string>",
  "message": "<string>",
  "data": null
}
{
  "status": "<string>",
  "message": "<string>",
  "data": null
}
{
  "status": "<string>",
  "message": "<string>",
  "data": null
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

recipient_id
string
required

Recipient ID.

Body

application/json
recipient
object
required

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required